Index: c/src/lib/libbsp/i386/ts_386ex/tools/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/ChangeLog	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ c/src/lib/libbsp/i386/ts_386ex/tools/ChangeLog	(revision dcbad07c1269e03e36541421fdbe804f0dacd2f1)
@@ -1,2 +1,15 @@
+2004-01-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in debug_ada/Makefile.am, debug_c/Makefile.am,
+	dos_sup/Makefile.am, network_ada/adasockets/Makefile.am,
+	network_ada/Makefile.am, network_ada/listener/Makefile.am,
+	network_ada/tcprelay/Makefile.am, ts_1325_ada/Makefile.am. Use automake
+	compilation rules.
+	* debug_ada/Makefile.am, debug_c/Makefile.am, dos_sup/Makefile.am,
+	network_ada/adasockets/Makefile.am, network_ada/Makefile.am,
+	network_ada/listener/Makefile.am, network_ada/tcprelay/Makefile.am,
+	ts_1325_ada/Makefile.am: Remove.
+	* configure.ac: Reflect changes above.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/ts_386ex/tools/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ c/src/lib/libbsp/i386/ts_386ex/tools/Makefile.am	(revision dcbad07c1269e03e36541421fdbe804f0dacd2f1)
@@ -5,10 +5,47 @@
 ACLOCAL_AMFLAGS = -I ../../../../../aclocal
 
-noinst_SCRIPTS = coff2bin elf2exe
+dist_noinst_SCRIPTS = coff2bin elf2exe
 
-SUBDIRS = ts_1325_ada network_ada debug_ada debug_c dos_sup
+EXTRA_DIST = README
 
-EXTRA_DIST = $(noinst_SCRIPTS)
+EXTRA_DIST += debug_ada/Makefile.ts_386ex debug_ada/cmds debug_ada/ddd-rtems \
+    debug_ada/debug.adb debug_ada/init.c debug_ada/serial_debug.adb \
+    debug_ada/serial_debug.ads
+
+EXTRA_DIST += debug_c/cmds debug_c/ddd-rtems debug_c/debug_test.c \
+    debug_c/init.c debug_c/serial_gdb.c debug_c/serial_gdb.h \
+    debug_c/system.h
+
+EXTRA_DIST += dos_sup/loader.com dos_sup/loader_hybrid_com.asm \
+    dos_sup/ts1325.inc
+
+EXTRA_DIST += network_ada/adasockets/AUTHORS network_ada/adasockets/COPYING \
+    network_ada/adasockets/NEWS network_ada/adasockets/README \
+    network_ada/adasockets/sockets-constants.ads \
+    network_ada/adasockets/sockets-link.ads \
+    network_ada/adasockets/sockets-multicast.adb \
+    network_ada/adasockets/sockets-multicast.ads \
+    network_ada/adasockets/sockets-naming.adb \
+    network_ada/adasockets/sockets-naming.ads \
+    network_ada/adasockets/sockets-thin.ads \
+    network_ada/adasockets/sockets-utils.adb \
+    network_ada/adasockets/sockets-utils.ads \
+    network_ada/adasockets/sockets.adb network_ada/adasockets/sockets.ads
+
+EXTRA_DIST += network_ada/README network_ada/networkconfig.h
+
+EXTRA_DIST += network_ada/listener/Makefile.ts_386ex \
+    network_ada/listener/init.c network_ada/listener/listener.adb
+
+EXTRA_DIST += network_ada/tcprelay/Makefile.ts_386ex \
+    network_ada/tcprelay/init.c network_ada/tcprelay/print_error.c \
+    network_ada/tcprelay/tcprelay.adb
+
+EXTRA_DIST += ts_1325_ada/Makefile.ts_386ex ts_1325_ada/README \
+    ts_1325_ada/i386_ports.adb ts_1325_ada/i386_ports.ads ts_1325_ada/init.c \
+    ts_1325_ada/ts1325-button.adb ts_1325_ada/ts1325-button.ads \
+    ts_1325_ada/ts1325-led.adb ts_1325_ada/ts1325-led.ads \
+    ts_1325_ada/ts1325-parallel.adb ts_1325_ada/ts1325-parallel.ads \
+    ts_1325_ada/ts1325.ads ts_1325_ada/ts1325_test.adb
 
 include $(top_srcdir)/../../../../../automake/host.am
-include $(top_srcdir)/../../../../../automake/subdirs.am
Index: c/src/lib/libbsp/i386/ts_386ex/tools/configure.ac
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/configure.ac	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ c/src/lib/libbsp/i386/ts_386ex/tools/configure.ac	(revision dcbad07c1269e03e36541421fdbe804f0dacd2f1)
@@ -17,13 +17,4 @@
 
 # Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-dos_sup/Makefile
-ts_1325_ada/Makefile
-debug_ada/Makefile
-debug_c/Makefile
-network_ada/Makefile
-network_ada/adasockets/Makefile
-network_ada/listener/Makefile
-network_ada/tcprelay/Makefile
-])
+AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
Index: src/lib/libbsp/i386/ts_386ex/tools/debug_ada/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/debug_ada/.cvsignore	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/i386/ts_386ex/tools/debug_ada/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/debug_ada/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,8 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = Makefile.ts_386ex cmds ddd-rtems debug.adb init.c \
-    serial_debug.adb serial_debug.ads
-
-include $(top_srcdir)/../../../../../automake/local.am
Index: src/lib/libbsp/i386/ts_386ex/tools/debug_c/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/debug_c/.cvsignore	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/i386/ts_386ex/tools/debug_c/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/debug_c/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,8 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = cmds ddd-rtems debug_test.c init.c serial_gdb.c serial_gdb.h \
-    system.h
-
-include $(top_srcdir)/../../../../../automake/local.am
Index: src/lib/libbsp/i386/ts_386ex/tools/dos_sup/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/dos_sup/.cvsignore	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/i386/ts_386ex/tools/dos_sup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/dos_sup/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,7 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = loader.com loader_hybrid_com.asm ts1325.inc
-
-include $(top_srcdir)/../../../../../automake/local.am
Index: src/lib/libbsp/i386/ts_386ex/tools/network_ada/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/network_ada/.cvsignore	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/i386/ts_386ex/tools/network_ada/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/network_ada/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,10 +1,0 @@
-##
-## $Id$
-##
-
-SUBDIRS = adasockets listener tcprelay
-
-EXTRA_DIST = README networkconfig.h
-
-include $(top_srcdir)/../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../automake/local.am
Index: src/lib/libbsp/i386/ts_386ex/tools/network_ada/adasockets/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/network_ada/adasockets/.cvsignore	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/i386/ts_386ex/tools/network_ada/adasockets/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/network_ada/adasockets/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,10 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = AUTHORS COPYING NEWS README sockets-constants.ads \
-    sockets-link.ads sockets-multicast.adb sockets-multicast.ads \
-    sockets-naming.adb sockets-naming.ads sockets-thin.ads sockets-utils.adb \
-    sockets-utils.ads sockets.adb sockets.ads
-
-include $(top_srcdir)/../../../../../automake/local.am
Index: src/lib/libbsp/i386/ts_386ex/tools/network_ada/listener/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/network_ada/listener/.cvsignore	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/i386/ts_386ex/tools/network_ada/listener/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/network_ada/listener/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,7 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = Makefile.ts_386ex init.c listener.adb
-
-include $(top_srcdir)/../../../../../automake/local.am
Index: src/lib/libbsp/i386/ts_386ex/tools/network_ada/tcprelay/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/network_ada/tcprelay/.cvsignore	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/i386/ts_386ex/tools/network_ada/tcprelay/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/network_ada/tcprelay/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,7 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = Makefile.ts_386ex init.c print_error.c tcprelay.adb
-
-include $(top_srcdir)/../../../../../automake/local.am
Index: src/lib/libbsp/i386/ts_386ex/tools/ts_1325_ada/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/ts_1325_ada/.cvsignore	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/i386/ts_386ex/tools/ts_1325_ada/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/tools/ts_1325_ada/Makefile.am	(revision 5b47c7f3cf929ac0fa10975aad048870cbeb65e5)
+++ 	(revision )
@@ -1,9 +1,0 @@
-##
-## $Id$
-##
-
-EXTRA_DIST = Makefile.ts_386ex ts1325-button.adb ts1325-parallel.adb \
-    i386_ports.adb ts1325-button.ads ts1325-parallel.ads i386_ports.ads \
-    ts1325-led.adb ts1325.ads init.c ts1325-led.ads ts1325_test.adb
-
-include $(top_srcdir)/../../../../../automake/local.am
